package id.iptek.utms.agent.model.enumeration;

/**
 *
 * @author jakar
 */
public enum PublishTimeType {
 
    IMMEDIATE(1),
    DATE_TIME(2);
    
    private final int value;

    private PublishTimeType(int value) {
        this.value = value;
    }
    
    public int getValue() {
        return value;
    }
    
    public static PublishTimeType fromValue(int value) {
        PublishTimeType val = null;
        for(PublishTimeType _val : PublishTimeType.values()) {
            if(_val.getValue() == value) {
                val = _val;
                break;
            }
        }
        return val;
    }
}
